/*!
Theme Name: Trandum
Template: kadence
Author: Spire Kommunikasjon
Author URI: https://www.spirekommunikasjon.no/
Description: A child theme for the Kadence Theme.
Version: 1.0.0
License: GNU General Public License v3.0 (or later)
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Text Domain: trandum
*/:root .entry{box-shadow:none;border-radius:0}
html {
	scroll-behavior: smooth;
}

#wrapper {
	animation: fadein 1s;
	word-wrap: break-word;
}

@keyframes fadein {

	from {
		opacity: 0;
	}

	to {
		opacity: 1;
	}

}

/*Linje etter header*/
.spire-has-breadcrumbs #masthead .site-top-header-wrap .site-container:after{
	content: '';
	display: block;
	height: 1px;
	background-color: #101820;
}
body.transparent-header #masthead .site-top-header-wrap .site-container:after{
	background-color: #ffffff;
}
body.transparent-header #masthead{
	background: rgb(16,24,32);
	background: linear-gradient(0deg, rgba(16,24,32,0) 0%, rgba(16,24,32,1) 100%);
}
body.transparent-header #trandum-widget-toggle-icon rect,
body.transparent-header #menu-toggle-icon rect{
	fill:#fff;
}
body.transparent-header #widget-toggle:hover #trandum-widget-toggle-icon rect,
body.transparent-header #mobile-toggle:hover #menu-toggle-icon rect{
	fill:#03fca3;
}
body.transparent-header #mobile-toggle #menu-toggle-icon rect{
	
}



.widget-area .spire_transparent_bc a:not(.button),
.spire_transparent_bc .kadence-breadcrumb-container,
.spire_transparent_bc#spire-bc-wrap .kadence-breadcrumbs.yoast-bc-wrap {
    color: #fff;
    text-decoration: none;
}
#spire-bc-wrap .kadence-breadcrumbs{
	margin: -10px 0 0 0;
	font-size: 100%;
	color: #101820;
}


/*Offer archive*/
.offer.hidden{}

.content-wrap.grid-cols.offer-archive{}

.blog.content-style-unboxed .grid-lg-col-1.item-image-style-beside article.offer.loop-entry, 
.archive.content-style-unboxed .grid-lg-col-1.item-image-style-beside article.offer.loop-entry {
	grid-gap: 15px;
}

.grid-lg-col-1.item-image-style-beside article.offer.loop-entry.has-post-thumbnail:not(.kb-post-no-image) {
	display: grid;
	grid-template-columns: 100px auto;
	overflow:hidden;
	transition: all 0.5s ease-out;
	max-height: 150px;
}

.grid-lg-col-1.item-image-style-beside article.offer.hidden.loop-entry.has-post-thumbnail:not(.kb-post-no-image) {
	border: 1px solid red;
	background-color: antiquewhite;
	overflow: hidden;
	max-height:0;
	opacity: 0;
}

.loop-entry.offer .entry-header,
.loop-entry.offer .entry-summary,
.loop-entry.offer .entry-summary p{
	margin: 0;
}


/*Single Offer*/
.single-offer-content-wrap{
	display: grid;
	grid-template-columns: repeat(12, 1fr);
}
	@media (min-width: 768px) {
		.single-offer-thumbnail-wrap{
			grid-column: 1 / 4;
		}
		.single-offer-text-wrap{
			grid-column: 5 / 10;
		}
	}


	.single-offer-thumbnail-inner{
		overflow: hidden;
		border-radius: 50%;
	}






/*Layout single*/
@media (min-width: 768px) {
	.entry.content-bg.single-entry.post.type-post .entry-content-wrap{
		border: 1px dotted #D8DFE1;
		display: grid;
		grid-template-columns: repeat(12, 1fr);
	}
	.entry.content-bg.single-entry.post.type-post .entry-content-wrap .entry-header{
		/* border: 1px dotted #D8DFE1; */
		display: grid;
		grid-template-columns: repeat(12, 1fr);
		grid-column: span 12;
	}
	.entry.content-bg.single-entry.post.type-post .entry-content-wrap .entry-header > *{
		border: 1px dotted D8DFE1;
	}

		.entry.content-bg.single-entry.post.type-post .entry-content-wrap .entry-title{
			grid-column: 5 / 10;
			grid-row: span 2;
		}
		.entry.content-bg.single-entry.post.type-post .entry-content-wrap .entry-taxonomies{
			grid-column: 1 / 5;
			grid-row: 1;
		}
		.entry.content-bg.single-entry.post.type-post .entry-content-wrap .entry-meta{
			grid-column: 1 / 5;
			grid-row: 1;
		}
		.entry.content-bg.single-entry.post.type-post .entry-content-wrap .entry-content.single-content,
		.entry.content-bg.single-entry.post.type-post .entry-content-wrap .entry-footer{
			grid-column: 5 / 10;
		}
		.entry.content-bg.single-entry.post.type-post .entry-content-wrap .entry-content.single-content .alignfull, 
		.alignwide, 
		.entry.content-bg.single-entry.post.type-post .entry-content-wrap .entry-content.single-content .alignwide {
			--offset: calc( 50vw / 12 );
			margin-left: calc(50% - 50vw - var(--offset) );
			margin-right: calc(50% - 50vw + var(--offset) );
		}
} 
@media (min-width: 1290px) {
	.entry.content-bg.single-entry.post.type-post .entry-content-wrap .entry-content.single-content .alignfull, 
	.entry.content-bg.single-entry.post.type-post .entry-content-wrap .entry-content.single-content .alignwide, 
	.entry.content-bg.single-entry.post.type-post .entry-content-wrap .entry-content.single-content .alignwide {
		--offset: calc(1242px/12);
		--offset: 107.5px;
		margin-left: calc(50% - 50vw - 51px );
		margin-right: calc(50% - 50vw + 51px );
	}
} 



.trandum-btn{
	/* border: 1px solid red; */
	display: flex;
	align-items: center;
	margin: 10px 0;
	padding: 8px 0;
	color: #101820;
	line-height: 1.2;
}
.trandum-btn svg{
	margin: 0 10px 0 0;
	fill: #03fca3;
}



.trandum-btn-neg{
	background-color: var(--global-palette-btn-bg, #03fca3);
}



.spire-Kadence-adv-btn{}

/*Main menu*/
.main-navigation .primary-menu-container > ul > li.menu-item.current-menu-item > a:after {
	position: relative;

}
.main-navigation .primary-menu-container > ul > li.menu-item.current-menu-item > a:after {
	content: '';
	display: block;
	border-bottom: 2px solid #101820;
}
.transparent-header .main-navigation .primary-menu-container > ul > li.menu-item.current-menu-item > a:after {
	border-bottom: 2px solid #fff;
}

/*Footer menu*/
#spire-footer-menu #menu-footer{
	display: flex;
	justify-content: center;
	color: #fff;
}
	#spire-footer-menu #menu-footer .menu-item{
		margin-left: 20px;
	}
	#spire-footer-menu #menu-footer .menu-item:first-child{
		margin-left: 0px;
	}
	#spire-footer-menu #menu-footer .menu-item a{
		text-decoration: underline;
	}




/*Pop out meny*/
.drawer-content {
	--toggle-width: 26px;
}
.drawer-content .drawer-nav-drop-wrap {}

.drawer-content .collapse-sub-navigation ul.menu li a {
	border-bottom: none;
  }

  ul#mobile-menu.has-collapse-sub-nav .drawer-nav-drop-wrap button.drawer-sub-toggle,
:root .drawer-content .collapse-sub-navigation ul.menu .drawer-nav-drop-wrap button.drawer-sub-toggle {
	position: relative;
	order: -1;
	border: none;
	width: var(--toggle-width);
	/* border: 1px solid red; */
}

ul#mobile-menu.has-collapse-sub-nav .drawer-nav-drop-wrap button.drawer-sub-toggle:before,
ul#mobile-menu.has-collapse-sub-nav .drawer-nav-drop-wrap button.drawer-sub-toggle:after,
:root .drawer-content .collapse-sub-navigation ul.menu .drawer-nav-drop-wrap button.drawer-sub-toggle:before,
:root .drawer-content .collapse-sub-navigation ul.menu .drawer-nav-drop-wrap button.drawer-sub-toggle:after {
	content:'';
	position: absolute;
	width: 15px;
	height: 3px;
	left: 50%;
	margin-left: -7.5px;
	top:50%;
	margin-top: -1.5px;
	display: block;
	border: none;
	background-color: var(--global-palette3, #fff);
	/* border: 1px solid red; */
}
ul#mobile-menu.has-collapse-sub-nav .drawer-nav-drop-wrap button.drawer-sub-toggle:before,
:root .drawer-content .collapse-sub-navigation ul.menu .drawer-nav-drop-wrap button.drawer-sub-toggle:before{
	width: 3px;
	height: 15px;
	margin-top: -7.5px;
	margin-left: -1.5px;
	transition: all .3s ease-out;
}
ul#mobile-menu.has-collapse-sub-nav .drawer-nav-drop-wrap button.drawer-sub-toggle[aria-expanded="true"]:before,
:root .drawer-content .collapse-sub-navigation ul.menu .drawer-nav-drop-wrap button.drawer-sub-toggle[aria-expanded="true"]:before{
	transform: rotate(90deg);
}



.drawer-content .collapse-sub-navigation ul.menu .drawer-nav-drop-wrap .drawer-sub-toggle {
	border-left: none;
	border-bottom: none;
  }

/*Innrykk på*/
/*Aktiver*/
.mobile-navigation ul.menu > li.menu-item,
.drawer-content ul.menu > li.menu-item{
	margin-left: -1.5em;
	padding-left: calc( 1.5em + var( --toggle-width) );
	
}
.mobile-navigation ul.menu > li.menu-item.menu-item-has-children,
.drawer-content ul.menu > li.menu-item.menu-item-has-children{
	margin-left: -1.5em;
	padding-left: 1.5em;
	
}
	.mobile-navigation ul.menu ul.sub-menu,
	.collapse-sub-navigation ul.menu ul.sub-menu {
    	padding-left: calc( 1.5em + (var( --toggle-width)*2) );
    	margin-left: calc( -1.5em - var( --toggle-width) );
		background-color: #fff;
	}



#hovedmeny ul.menu a {
	font-weight: 700;
	padding-left: 5px;
}

ul#mobile-menu ul.sub-menu > li.menu-item,
#hovedmeny ul.sub-menu > li.menu-item{
	background-color: #fff;
}

ul#mobile-menu ul.sub-menu > li.menu-item a,
#hovedmeny ul.sub-menu > li.menu-item a {
	font-weight: 100;
}



:root #search-drawer .drawer-inner input.search-field {
    width: 100%;
    background: #fff;
    color: var(--global-palette3);
    padding: 0.8em 80px 0.8em 0.8em;
    font-size: 20px;
    border: 1px solid currentColor;
}

:root #search-drawer .drawer-inner input.search-field:focus {
    color: var(--global-palette3);
    box-shadow: none;
}

#search-drawer .drawer-inner .search-submit[type="submit"] {
    opacity: 0;
}




/*Logo*/
.site-brand-logo-only{
	
}
	.site-brand-logo-only{
		/* border-bottom: .5px dotted gray; */
		position: relative;
		display: block;
		width: 148px;
		height: 53px;
		overflow: visible;
		

	}
	.site-brand-logo-only:after{
		content: '';
		display: block;
		position: absolute;
		height: 2.9px;
		width: 20.6px;
		left:0px;
		bottom:0px;
		background-color: #101820;
		animation:trans 3900ms;
	}
	body.transparent-header .site-brand-logo-only:after{
		background-color: #fff;
	}
		.site-branding a.brand {
			display: block;
			/* border: .5px dotted pink; */
			width: 144px;
			height: 53px;
			height: 46px;
			overflow: hidden;
		}

			.site-branding a.brand img.svg-logo-image {
				width: 144px;
				height: 53px;
			}


			@keyframes trans {
				16% {
					opacity: 0;
				} 
				33% {
					opacity: 1;
				}
				50% {
					opacity: 0;
				} 
				66% {
					opacity: 1;
				}
				83% {
					opacity: 0;
				} 
				100% {
					opacity: 1;
				}
			}

@media screen and (max-width: 768px){
	.grids-section.spire-grids .grids-s-w_i {
		display: grid;
		height: 100vh;
	}
}

.cookie-btn{
	text-emphasis: underline;
	color: #03fca3;
}

@media (min-width: 1440px) {
	.left-quote{
		margin-left: -20%;
		padding-right: 10%;
	}
}